Get Metadata List
curl --request GET \
--url https://api.rated.network/v0/eth/validators \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rated.network/v0/eth/validators"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rated.network/v0/eth/validators', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"activationEligibilityEpoch": 171000,
"activationEpoch": 169000,
"depositAddresses": [
"0xc34eb7e3f34e54646d7cd140bb7c20a466b3e852"
],
"dvtNetwork": "",
"dvtOperators": [],
"exitEpoch": 172000,
"nodeOperators": [],
"pool": "",
"subpool": "",
"validatorIndex": 1,
"validatorPubkey": "0xb44440543ceef8d77e065c70da15f7b731e56db5457571c465f025e032bbcd263a0990c8749b4ca6ff20d77004466666",
"withdrawableEpoch": 172256,
"withdrawalAddress": "0x0d369bb49efa5100fd3b86a9f828c55da04d2d50"
},
{
"activationEligibilityEpoch": 171000,
"activationEpoch": 169000,
"depositAddresses": [
"0xc34eb7e3f34e54646d7cd140bb7c20a466b3e852"
],
"dvtNetwork": "",
"dvtOperators": [],
"exitEpoch": 172000,
"nodeOperators": [],
"pool": "",
"subpool": "",
"validatorIndex": 4,
"validatorPubkey": "0xa62420543ceef8d77e065c70da15f7b731e56db5457571c465f025e032bbcd263a0990c8749b4ca6ff20d77004454b51",
"withdrawableEpoch": 172256,
"withdrawalAddress": "0x0d369bb49efa5100fd3b86a9f828c55da04d2d50"
},
{
"activationEligibilityEpoch": 171000,
"activationEpoch": 169000,
"depositAddresses": [
"0xc34eb7e3f34e54646d7cd140bb7c20a466b3e852"
],
"dvtNetwork": "",
"dvtOperators": [],
"exitEpoch": 172000,
"nodeOperators": [],
"pool": "",
"subpool": "",
"validatorIndex": 10,
"validatorPubkey": "0xc55540543ceef8dccc065c70da15f7b731e56db5457571c465f0254442bbcd263a0111c8749b4ca6ff20d77004466777",
"withdrawableEpoch": 172256,
"withdrawalAddress": "0x0d369bb49efa5100fd3b86a9f828c55da04d2d50"
}
],
"next": "/v0/eth/validators?from=11&size=3&operatorsIds=&idType=",
"page": {
"from": 0,
"size": 3
},
"total": 11
}{
"detail": [
{
"msg": "<string>",
"type": "<string>",
"loc": [
"<string>"
]
}
]
}Validators
Validator metadata [groups]
GET
/
v0
/
eth
/
validators
Get Metadata List
This endpoint allows users to request metadata for a group of validators that map to the same operator or pool (i.e. it gives you an answer to the question “give me all of Kiln’s validator indices under Lido”).
| Parameter | Context |
|---|---|
idType | The type of entity class you would like to filter by. You might ask for pool, nodeOperator |
operatorsIds | An array of entities names you want to filter by |
from | The validator index you want to start to navigate from |
size | The number of results included per page |
withdrawalAddress | Filter by the withdrawal address |
Rated builds and operates the most complete dataset for validator id mappings. These are gated endpoints and is being provisioned on a case-by-case basis. If you’re interested in working with it, get in touch via [email protected] with an overview of your use case.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
mainnet, hoodi, holesky Query Parameters
Required range:
x >= 0Required range:
x <= 200Available options:
pool, nodeOperator